using System;
using System.Threading;

namespace CommandLine
{
	/// <summary>
	/// Testing class
	/// </summary>
	class Test
    {
		/// <summary>
		/// Main loop
		/// </summary>
		[STAThread]
		static void Main(string[] args)
        {
            ConsoleKeyInfo cki;

            // Verify that an argument has been entered. 
            if (args.Length <= 0)
            {
                Console.WriteLine("Enter a argument.");
                cki = Console.ReadKey();
                Environment.Exit(-1);
            }

            Console.Out.WriteLine("Process 'CommandLine' running ...\n");
            Thread.Sleep(2000);

            Console.Out.WriteLine(args[0]);

            // Wait for key
            Console.Out.WriteLine("Argument parsed. Press a key...");
            cki = Console.ReadKey();
            Console.Out.WriteLine("");

            Console.Out.WriteLine("Communication with fiscal printer ...");
            Thread.Sleep(2000);

            // Wait for key
            Console.Out.WriteLine("Communication has finished successfuly ?\r\nPress a Y=yes, N=no.");
            cki = Console.ReadKey();

            if ((cki.Key.ToString() == "y") || (cki.Key.ToString() == "Y"))
            {
                Environment.Exit(0);
            }

            Environment.Exit(-1);

		}
	}
}
